Bug 862013 - abrt's backtrace hashing is broken.
abrt's backtrace hashing is broken.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 11:25 EDT by Dave Jones
Modified: 2015-06-29 07:41 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:41:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
abrt/oops* directory (82.91 KB, application/octet-stream)
2014-09-12 22:07 EDT, Adam Goode
no flags Details

  None (edit)
Description Dave Jones 2012-10-01 11:25:43 EDT
I've been suspicious of this for a while, but now it seems there is proof that sometimes abrt generates hash collisions for entirely different traces.

Initially bug 859196 had hash da39a3ee5e6b4b0d3255bfef95601890afd80709
A user noted that his trace was nothing to do with broadcom wireless, and removed the hash.
He then filed bug 861976 which has the same hash, but is an entirely different trace.
Comment 1 Dave Jones 2012-10-01 11:26:57 EDT
oops, second bug should actually have been bug 861985
Comment 2 Denys Vlasenko 2012-10-02 09:20:24 EDT
Yes, I reporduced it. For bt like in bug 861985, we ended up hashing "" (which hashes to da39a3ee5e6b4b0d3255bfef95601890afd80709).

The fix is two-fold:
(1) fix the code so that we hash correct string, not "" (there is a bug in code which strips jiffies timestamp).
(2) refuse to proceed if we detect that we are hashing "" - this will detect future similar bugs. The behavior is:

$ abrt-action-analyze-oops DIR
Can't find a meaningful backtrace for hashing in 'DIR'

and exit code is 1. In post-create event, this will result in syslog message and directory being removed.
Comment 3 Denys Vlasenko 2012-10-02 10:47:13 EDT
Fixed in git:

commit ab2eefe80e175e0b4e04077e390d39e0297f4f68
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Tue Oct 2 16:44:58 2012 +0200

    abrt-action-analyze-oops: fail if we end up hashing "" (empty string).

commit f7254fe7963b4b88edb0ecb2205d7cf1955c170c
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Tue Oct 2 15:09:24 2012 +0200

    fix oops jiffies time stamp counter removal code
Comment 4 Fedora Update System 2012-10-05 06:47:16 EDT
abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17
Comment 5 Fedora Update System 2012-10-05 23:47:56 EDT
Package abrt-2.0.14-1.fc17, libreport-2.0.15-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.14-1.fc17 libreport-2.0.15-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15498/abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-07 22:25:45 EDT
Package libreport-2.0.15-1.fc17, abrt-2.0.14-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.0.15-1.fc17 abrt-2.0.14-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15498/abrt-2.0.14-2.fc17,libreport-2.0.15-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-02-05 08:38:38 EST
abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17
Comment 8 Fedora Update System 2013-03-20 04:42:38 EDT
abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17
Comment 9 Fedora End Of Life 2013-07-04 03:42:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 16:06:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Jiri Moskovcak 2013-08-02 02:50:57 EDT
This is actually fixed in the current release (comments #7 & #8)
Comment 12 Adam Goode 2014-09-06 14:17:22 EDT
I am having this problem.

This oops https://retrace.fedoraproject.org/faf/reports/402324/

is getting wrongly hashed here: https://bugzilla.redhat.com/show_bug.cgi?id=1066554


The oops is from ALSA, but gets deduped to one of the bugs pointing to #1066554.
Comment 13 Jakub Filak 2014-09-08 02:40:58 EDT
Can you please attach entire dump directory? (/var/tmp/abrt/oops*)
Comment 14 Adam Goode 2014-09-12 22:07:20 EDT
Created attachment 937145 [details]
abrt/oops* directory
Comment 16 Fedora End Of Life 2015-05-29 04:47:31 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-06-29 07:41:10 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.